Bug 447753 - Incorrect keyboard layout if no xorg.conf
Incorrect keyboard layout if no xorg.conf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-21 11:46 EDT by Derrien
Modified: 2008-10-21 03:16 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-16 19:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log (22.00 KB, text/plain)
2008-05-21 11:46 EDT, Derrien
no flags Details
xorg-x11-server 1.5.0-2.fc9 Xorg.0.log (22.51 KB, text/plain)
2008-10-17 09:35 EDT, Derrien
no flags Details

  None (edit)
Description Derrien 2008-05-21 11:46:35 EDT
Description of problem:

At
http://docs.fedoraproject.org/release-notes/f9/en_US/sn-Xorg.html#sn-X-Configuration-Changes
we can read :

"In Fedora 9, the XKB settings are read from /etc/sysconfig/keyboard, which
gives users the correct layout. The KEYTABLE option, configured in
/etc/sysconfig/keyboard, also sets the layout for X."

But how it works ?

Version-Release number of selected component (if applicable):
X.Org X Server 1.4.99.901 (1.5.0 RC 1)
Release Date: 5 September 2007

How reproducible: Always

Steps to Reproduce:

No xorg.conf

[root (Fedora 9) ~]$ cat /etc/sysconfig/keyboard
KEYBOARDTYPE="pc"
KEYTABLE="fr-latin1"

Actual results:
The default keyboard (us qwerty)

Expected results:
The french keyboard (azerty)

Additional info:
system installed via kickstart
Comment 1 Derrien 2008-05-21 11:46:36 EDT
Created attachment 306268 [details]
Xorg.0.log
Comment 2 Peter Hutterer 2008-08-06 23:04:55 EDT
FWIW, 906-5 in rawhide fixes this issue.
Comment 3 Fedora Update System 2008-09-16 19:26:57 EDT
xorg-x11-server-1.5.0-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Derrien 2008-10-17 09:35:20 EDT
Created attachment 320663 [details]
xorg-x11-server 1.5.0-2.fc9 Xorg.0.log
Comment 5 Derrien 2008-10-17 09:36:12 EDT
With xorg-x11-server 1.5.0-2.fc9 pb still persists
Comment 6 Peter Hutterer 2008-10-21 03:16:45 EDT
This is fixed in rawhide, but won't be for F9.

Note You need to log in before you can comment on or make changes to this bug.